#ifndef DOCK_H
#define DOCK_H

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>
#import "gdwindow.h"

@interface GDock : NSObject
{
	NSUserDefaults *defaults;	
	NSArray *appsPaths;
	NSMutableArray *winGeom;
	GDWindow *win;
}

+ (GDock *)sharedgdock;
- (void)registerAppsListInDefaults:(NSArray *)appList;
- (void)registerDockGeometryInDefaults:(NSArray *)values;

@end

#endif // DOCK_H
