#ifndef GDWINDOW_H
#define GDWINDOW_H

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>
#include "gdockedapp.h"

@interface GDWindow : NSWindow
{
	GDMainLogo *dockedLogo;
	NSMutableArray *dockedApps;
}

- (id)initWithRect:(NSRect)aRect;
- (void)registerPosition;
- (void)addApps:(NSArray *)appsPaths;
- (void)addAppWithPath:(NSString *)appPath fromReceiver:(GDockedApp *)aDockApp;
- (void)removeDockedApp:(GDockedApp *)aDockApp;
- (void)calculateFrames;

@end

#endif // GDWINDOW_H
